package com.sooka.apply.domain;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 申请明细对象 int_detailed
 * 
 * @author yhliang
 * @date 2021-07-06
 */
public class IntDetailed extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String id;

    /** 记录表id */
    @Excel(name = "记录表id")
    private String recordId;

    /** 接口表id */
    @Excel(name = "接口表id")
    private String intId;

    /** 接口编码 */
    @Excel(name = "接口编码")
    private String intCode;

    /** 接口名称 */
    @Excel(name = "接口名称")
    private String intName;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String strAt;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String endAt;

    /** secret_key */
    @Excel(name = "secret_key")
    private String secretKey;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setRecordId(String recordId) 
    {
        this.recordId = recordId;
    }

    public String getRecordId() 
    {
        return recordId;
    }
    public void setIntId(String intId)
    {
        this.intId = intId;
    }

    public String getIntId()
    {
        return intId;
    }
    public void setStrAt(String strAt) 
    {
        this.strAt = strAt;
    }

    public String getStrAt() 
    {
        return strAt;
    }
    public void setEndAt(String endAt) 
    {
        this.endAt = endAt;
    }

    public String getEndAt() 
    {
        return endAt;
    }

    public void setSecretKey(String secretKey)
    {
        this.secretKey = secretKey;
    }

    public String getSecretKey() 
    {
        return secretKey;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public String getIntCode() {
        return intCode;
    }

    public void setIntCode(String intCode) {
        this.intCode = intCode;
    }

    public String getIntName() {
        return intName;
    }

    public void setIntName(String intName) {
        this.intName = intName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("recordId", getRecordId())
            .append("intId", getIntId())
            .append("strAt", getStrAt())
            .append("endAt", getEndAt())
            .append("secretKey", getSecretKey())
            .append("status", getStatus())
            .toString();
    }
}
